using DashHtmlComponents, DashVtk

html_div([vtk_view([
    vtk_geometryrepresentation(
        children=[
            vtk_polydata(
                points=[
                  0,0,0,
                  1,0,0,
                  0,1,0,
                  1,1,0,
                ],
                lines=[3, 1, 3, 2],
                polys=[3, 0, 1, 2],
                children=[
                    vtk_pointdata([
                        vtk_dataarray(
                            #registration="setScalars", # To activate field
                            name="onPoints",
                            values=[0, 0.33, 0.66, 1],
                        )
                    ]),
                    vtk_celldata([
                        vtk_dataarray(
                            # registration="setScalars", # To activate field
                            name="onCells",
                            values=[0, 1],
                        )
                    ])
                ],
            ),
        ],
    ),
])], style=Dict("width" => "100%", "height" => "400px"))
